function [ ] = robotDriveDirect( robot, right_velocity, left_velocity )
%robotDriveDirect Set a robot's wheel velocities independently.
%   Of the robot drive functions, robotDriveDirect gives the most direct
%   control of a robot's motion.

     rv = java.lang.Double(right_velocity);
     lv = java.lang.Double(left_velocity);
     
     robot.iface.invoke('driveDirect', {rv lv});